package com.qmth.distributed.print.business.templete.excelListener;

import com.alibaba.excel.context.AnalysisContext;
import com.alibaba.excel.event.AnalysisEventListener;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @Description: 考务数据监听
 * @Author: CaoZixuan
 * @Date: 2021-04-07
 */
public class ExaminationListener extends AnalysisEventListener{
    private List<Map<Integer, String>>  dataList= new ArrayList<>();

    @Override
    public void invoke(Object o, AnalysisContext analysisContext) {
        System.out.println("当前行："+analysisContext.getCurrentRowNum());
        System.out.println(o);
        Map<Integer, String> map = new HashMap<>();
        map.put(analysisContext.readRowHolder().getRowIndex(), String.valueOf(o));
        dataList.add(map);//数据存储到list，供批量处理，或后续自己业务逻辑处理。
    }

    @Override
    public void doAfterAllAnalysed(AnalysisContext analysisContext) {

    }

    public List<Map<Integer, String>> getDataList() {
        return dataList;
    }

    public void setDataList(List<Map<Integer, String>> dataList) {
        this.dataList = dataList;
    }
}
